%define name	allegro
%define version	4.0.3
#%define beta rc2
#%define rversion 4.0.3-%beta
%define release	4mdk
%define libname	%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} %{major} -d
%define major	4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Game programming library
Source0:	http://sunsite.auc.dk/allegro/%{name}-%{version}.tar.bz2
License:	Public Domain
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-buildroot
ExclusiveArch:	%ix86
URL:		http://alleg.sourceforge.net
BuildRequires:	libarts-devel libesound-devel libaudiofile-devel XFree86-devel

%description
Allegro is a library of functions for use in computer games

%package -n	%libname
Summary:	Game programming library
Group:		System/Libraries
Provides:	lib%name = %version-%release

%description -n	%libname
Allegro is a library of functions for use in computer games

%package -n	%libname_devel
Summary:	Game programming library
Group:		System/Libraries
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	allegro-devel
Obsoletes:	allegro-devel

%description -n	%libname_devel
Allegro is a library of functions for use in computer games.
This package contains files needed to build programs using Allegro.

%prep
%setup -q

%build
%{__autoconf}
%configure --enable-fbcon=no
%make depend
%make CFLAGS="`artsc-config --cflags` -DALLEGRO_LIB_BUILD $RPM_OPT_FLAGS -funroll-loops -ffast-math -Wno-unused"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%makeinstall_std install-man

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/colormap
%_bindir/dat
%_bindir/dat2s
%_bindir/exedat
%_bindir/grabber
%_bindir/pack
%_bindir/pat2dat
%_bindir/rgbmap
%_bindir/textconv

%files -n %libname
%defattr(-,root,root)
%doc readme.txt
%_libdir/*.so.*
%_libdir/*.so
%_libdir/%name

%files -n %libname_devel
%defattr(-,root,root)
%_bindir/%{name}-config
%_libdir/*.a
%_includedir/*
%_mandir/*/*

%changelog
* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.3-4mdk
- rebuild

* Mon Jun 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.3-3mdk
- buildrequires
- cosmetics

* Sun May 04 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.3-2mdk
- rebuild for rpm 4.2.0
- use %%mklibname for devel package too
- remove commented out configure stuff to satisfy rpmlint
- added man pages to devel package

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.3-1mdk
- 4.0.3 final

* Sat Mar 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 4.0.3-0.rc2.1mdk
- 4.0.3-rc2
- enable parallell builds as it works now
- rm -rf buildroot in install stage in stead of prep stage
- use macro for autoconf
- fix the usage of optimize flags
- use %%mklibname macro

* Sat Mar  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.0.3-0.rc1.1mdk
- 4.0.3-rc1

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0.3-0.beta1.1mdk
- 4.0.3-beta1
- Fix Provides/Requires
- remove BuildRequires glibc-static

* Sun Dec 01 2002  Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-3mdk
- fix file list

* Wed Jul 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-2mdk
- update buildrequires 

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Mon Apr 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-2mdk
- let include in non-versioned dir

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 4.0.1-1mdk
- 4.0.1
- dropped patch
- moved allegro-config to devel package

* Mon Mar 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-4mdk
- regenerate patch from Levi Ramsey to fix allegro.h

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0.0-3mdk
- fix(again) file section (thx Yannick Roehlly)

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-2mdk
- fix files section

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com>  4.0.0-1mdk
- 4.0.0

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.38-1mdk
- 3.9.38

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.36-1mdk
- updated to 3.9.36

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com>  3.9.34-1mdk
- updated by Vlatko Kosturjak <kost@linux-mandrake.com> 3.9.34-1mdk
	- support for new version
	- removed patch
- use egcs

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 3.9.33-3mdk
- ExcludeArch: PPC
- Fix devel description
- Spec clean up

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.9.33-2mdk
- rebuild

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 3.9.33-1mdk
- initial spec
